# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

Name:		perl-XML-LibXSLT
Version:	1.77
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl module for interfacing to GNOME's libxslt
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/XML-LibXSLT/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/XML-LibXSLT-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl >= 3:5.8.1
BuildRequires:	perl(Carp)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	libxslt-devel >= 1.1.18, gdbm-devel
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# the package shares code with perl-XML-LibXML, we have to require a compatible version
# see https://bugzilla.redhat.com/show_bug.cgi?id=469480
BuildRequires:	perl(XML::LibXML) >= 1.70
Requires:	perl(XML::LibXML) >= 1.70

# Don't "provide" private Perl lib
# Also fix doc-file provides and requires on rpm-4.9 and later systems
%global __provides_exclude ^(LibXSLT\\.so|perl\\(Driver::)
%global __requires_exclude ^perl\\((Cwd|Driver::|IO::File|XML::Sablotron)

%description
This module is a fast XSLT library, based on the Gnome libxslt engine
that you can find at http://www.xmlsoft.org/XSLT/

%prep
%setup -q -n XML-LibXSLT-%{version}

# Fix doc-file provides and requires on pre-rpm-4.9 systems
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Ev '^perl[(]Driver::'"
%define __perl_provides %{provfilt}
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Ev '^perl[(](Cwd|Driver::|IO::File|XML::Sablotron)'"
%define __perl_requires %{reqfilt}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
chmod -R u+w %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README benchmark/ example/
%{perl_vendorarch}/auto/XML/
%{perl_vendorarch}/XML/
%{_mandir}/man3/XML::LibXSLT.3pm*

%changelog
* Sun Feb 26 2012 Paul Howarth <paul@city-fan.org> - 1.77-1
- update to 1.77
  - clarify the quoting of string parameters to the XSLT transformation
- BR: perl(Encode)
- no need to remove empty directories from buildroot

* Fri Jan 13 2012 Paul Howarth <paul@city-fan.org> - 1.76-1
- update to 1.76
  - made LibXSLT.xs compile with C compilers that don't accept declarations
    inside blocks (CPAN RT#73905)
- BR: perl(DynaLoader) and perl(Exporter)

* Fri Oct 28 2011 Paul Howarth <paul@city-fan.org> - 1.75-1
- update to 1.75
  - convert t/03input.t from Test.pm to Test::More
  - fix for segfault in free() (CPAN RT#71345)

* Wed Oct 26 2011 Paul Howarth <paul@city-fan.org> - 1.74-1
- update to 1.74
  - convert the following test scripts from Test.pm to Test::More:
    - t/01basic.t
    - t/02dromeds.t
    - t/04params.t
    - t/05quick.t
    - t/06output.t
    - t/06entities.t
    - t/07blankdoc.t
    - t/08literal.t
    - t/09exslt.t
    - t/10functions.t
    - t/11utf8.t
    - t/12import.t
    - t/13error.t
    - t/14security.t
    - t/15misc.t
  - in the process, made "Encode" and perl ≥ 5.8.1 pre-requisites of this
    distribution
  - add the "make runtest" and "make distruntest" targets to test using
    Test-Run
- BR: perl ≥ 5.8.1 and perl(Test::More)

* Sun Oct  9 2011 Paul Howarth <paul@city-fan.org> - 1.73-1
- update to 1.73
  - possible fix for CPAN RT#71456: made the port reservation on t/14security.t
    for the non-existent URL more robust
- BR: perl(Carp)

* Thu Oct  6 2011 Paul Howarth <paul@city-fan.org> - 1.72-1
- update to 1.72
  - moved the benchmarking code under benchmark/ so it won't be indexed by CPAN
  - avoid leaking memory inside extension elements by cleaning up on stylesheet
    DESTROY
  - xsltInit() and xsltCleanupGlobals() to avoid leaking memory on
    init/shutdown
  - added support for stylesheet context functions via a
    $stylesheet->register_function() method with the same arguments as 
    XML::LibXSLT->register_function()
  - added support for register_element() on stylesheet objects; the callback
    may leak memory though - nothing frees the _private attributes of the
    node + document owner for the passed arguments?
- add benchmark/ directory as %%doc and add filters for doc-file-dependencies

* Sun Sep 11 2011 Paul Howarth <paul@city-fan.org> - 1.71-1
- update to 1.71
  - blacklist libxslt-1.1.25, which has a deadlock that hangs a test
    (CPAN RT#50487)
  - fix unexpected webserver dependency in test (CPAN RT#52422)
  - update the version control instructions in the README to point to
    bitbucket.org
- this release by SHLOMIF -> update source URL

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> - 1.70-6
- rebuild for perl 5.14.1 in Rawhide
- nobody else likes macros for commands
- fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1.70-5
- rebuild for perl 5.12.1 in Rawhide

* Thu May 27 2010 Paul Howarth <paul@city-fan.org> - 1.70-4
- fix dist tag for RHEL-6 Beta

* Thu Mar 11 2010 Paul Howarth <paul@city-fan.org> - 1.70-3
- rebuild for new libgdbm in Rawhide

* Thu Feb 25 2010 Paul Howarth <paul@city-fan.org> - 1.70-2
- dist tag for Rawhide no longer needs special-casing

* Fri Oct  9 2009 Paul Howarth <paul@city-fan.org> - 1.70-1
- import from Fedora
- update to 1.70
  - fixed various bugs
  - documentation updates
  - sync with latest XML::LibXML ABI and add a compatibility check
  - do not force -lgcrypt and -lgpg-error linker flags
  - fix for attribute nodes returned by user-defined XPath functions
  - address #41542: restore internalDTD subset on the source document of a
  | transformation (libxslt unlinks it)
- drop upstreamed refcount patch
- filter provides for perl shared objects using %%{?perl_default_filter}

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.68-4
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 18 2009 Stepan Kasal <skasal@redhat.com> - 1.68-3
- patch to fix a refcounting bug leading to segfaults (#490781)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.68-2
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Paul Howarth <paul@city-fan.org> - 1.68-1
- update to 1.68
- relax hard version requirement on XML::LibXML, which is at 1.69 upstream
  but 1.67 or above will suffice (care will still have to be taken to keep
  the packages in sync, particularly when XML::LibXML is updated)
- specify $RPM_OPT_FLAGS once rather than twice
- drop historical perl version requirement, which is met even by EL-3
- explicitly buildreq ExtUtils::MakeMaker rather than just perl-devel

* Mon Nov  3 2008 Stepan Kasal <skasal@redhat.com> - 1.66-2
- require XML::LibXML of the same version

* Fri Aug  8 2008 Zing <zing@fastmail.fm> - 1.66-1
- update to 1.66

* Sat May 31 2008 Zing <zing@fastmail.fm> - 1.63-6
- rpm check stage barfs on || :

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.63-5
- rebuild for new perl (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.63-4
- Autorebuild for GCC 4.3

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.63-3
- rebuild for new perl

* Sat Jan 19 2008 Zing <zing@fastmail.fm> - 1.63-2
- build requires gdbm-devel

* Fri Jan 18 2008 Zing <zing@fastmail.fm> - 1.63-1
- update to 1.63

* Sat Aug 11 2007 Zing <zing@fastmail.fm> - 1.62-2
- require perl-devel

* Tue Aug  7 2007 Zing <zing@fastmail.fm> - 1.62-1
- update to 1.62
- Conform to Fedora Licensing Guideline

* Fri Sep  8 2006 Zing <zing@fastmail.fm> - 1.58-3
- rebuild for FE6

* Tue Feb 14 2006 Zing <shishz@hotpop.com> - 1.58-2
- rebuild for FE5

* Wed Aug 17 2005 Zing <shishz@hotpop.com> - 1.58-1
- new upstream
- use dist macro

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.57-3
- Drop pre-FC2 LD_RUN_PATH hack.
- Install benchmark.pl only as %%doc.

* Fri Feb 26 2005 Zing <shishz@hotpop.com> - 1.57-2
- QA from Ville Skyttä
-	BuildRequires XML::LibXML >= 1.57
-	BuildRequires libxslt-devel
-	put benchmark.pl in %%doc

* Fri Feb 25 2005 Zing <shishz@hotpop.com> - 1.57-1
- First build.

